## CODE FOR Leave-One-Out


This is the code for the paper „Generalization Through the Lens of Leave-One-Out Error“. The code is largely based on JAX and the library neural-tangents. In the following, we will outline how to use the code.
 

### Requirements 

The following packages need to be installed to run all of our code:
	- numpy 1.16.2
	- pandas 1.1.5
	- jax 0.2.17
	- jaxlib 0.1.65
	- torch 1.8.1
	- torchvision 0.9.1
	- neural-tangents 0.3.6
	

### Sample Size Experiments 

To perform sample size experiments use 

							loo_samples.py  

to calculate the leave-one-out loss for an NTK model for various sample sizes.


### Noise Experiments

To perform noise experiments use

						loo_noisy_labels.py

This will calculate the leave-one-out loss for an NTK model for various noise levels.


### Double Descent Experiments

To perform double descent experiments use
						
							double_descent_line.py 

This will calculate the leave-one-out loss for a random feature model for various widths.


